#include<bits/stdc++.h>
#define ll long long
#define ld long double
using namespace std;
struct slog{
    ld p;
    ld plata;
} niz[200005];
bool cmp(slog A,slog B){
    return A.p<B.p;
}
ld res,ukupno,pp;
ll N;
int main(){
   // freopen("Input.txt","r",stdin);
    ios_base::sync_with_stdio(false);
    cin>>N;
    cout<<setprecision(6)<<fixed;
    for(int i=1;i<=N;i++){
        cin>>niz[i].plata>>niz[i].p;
        niz[i].p/=100;
        ukupno+=niz[i].plata;
    }
    srand(527);
   // cout<<N<<endl;
    for(int i=N+1;i<=200000;i++){
        pp=rand()%101;
        if(pp!=100)
            pp+=(ld)(rand()%10000)/10000;
        niz[i].plata=(rand()*rand())%1000000+1;
        niz[i].p=pp/100;
        ukupno+=niz[i].plata;
     //   cout<<(rand()*rand())%1000000+1<<" "<<p<<endl;
    }
    N=200000;
    res=0;
    sort(niz+1,niz+1+N,cmp);
    for(int i=1;i<=N;i++){
        res=max(res,(ld)niz[i].p*ukupno);
        ukupno-=niz[i].plata;
    }
    cout<<res<<endl;
    return 0;
}